(***************************************************************************
 *                                                                         *
 *   embyte ChemTool                                                       *
 *   Copyright and written by Michael Bhme                                *
 *   http://www.embyte.de | mib@embyte.de                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************)

 (*
    ToDo:
      Molmassenrechner
      - Molmassen aus Datenbank laden
      - Formelparser schreiben, damit Molmassen automatisch berechnet werden knnen 
 *)

unit molmasse;

interface

procedure InitMolMassen;
function GetMolMasse(S: String): Integer;

implementation

uses
  StrUtils, SysUtils, Windows;

var
  Zeichen: Array[1..118] of String;
  Massen: Array[1..118] of Extended;
  MolMassenFile: Textfile;
  ElDefs: Integer = 0;

function GetMolMasse(S: String): Integer;
begin
  Result := 0;
end;

procedure InitMolMassen;
var
  Line: String;
begin
  // ToDo: Molmassen aus Datenbank laden... noch nicht implementiert
  AssignFile(MolMassenFile, ExtractFileDir(ParamStr(0))+'/data/molmassen.txt');
  Reset(MolMassenFile);
  while (not Eof(MolMassenFile)) do
  begin
        ReadLn(MolMassenFile, Line);
        If Length(Line) > 2 then
          begin
            if (Pos('=', Line) > 0) then
              begin
                Inc(ElDefs);

              end;
          end;
  end;
  Close(MolMassenFile);
end;

end.
