(***************************************************************************
 *                                                                         *
 *   embyte ChemTool                                                       *
 *   Copyright and written by Michael Bhme                                *
 *   http://www.embyte.de | mib@embyte.de                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Menus, StrUtils;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label6: TLabel;
    Label7: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Label4: TLabel;
    Label2: TLabel;
    Label1: TLabel;
    Edit4: TEdit;
    Label3: TLabel;
    Label8: TLabel;
    Edit5: TEdit;
    Label9: TLabel;
    Label5: TLabel;
    Edit3: TEdit;
    GroupBox3: TGroupBox;
    Button1: TButton;
    Label11: TLabel;
    Edit6: TEdit;
    Memo1: TMemo;
    MainMenu1: TMainMenu;
    Datei1: TMenuItem;
    Hilfe1: TMenuItem;
    Infober1: TMenuItem;
    Beenden1: TMenuItem;
    Label10: TLabel;
    Label12: TLabel;
    Edit7: TEdit;
    Edit8: TEdit;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Edit9: TEdit;
    Label16: TLabel;
    Edit10: TEdit;
    TabSheet2: TTabSheet;
    GroupBox4: TGroupBox;
    ListBox1: TListBox;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Edit11: TEdit;
    Label17: TLabel;
    Button5: TButton;
    GroupBox5: TGroupBox;
    Memo2: TMemo;
    Label18: TLabel;
    TabSheet3: TTabSheet;
    GroupBox6: TGroupBox;
    GroupBox7: TGroupBox;
    Label20: TLabel;
    Edit12: TEdit;
    Label19: TLabel;
    Edit13: TEdit;
    Label21: TLabel;
    Edit14: TEdit;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Edit15: TEdit;
    Label25: TLabel;
    Label26: TLabel;
    Edit16: TEdit;
    Label27: TLabel;
    Edit17: TEdit;
    Label28: TLabel;
    Label29: TLabel;
    Edit18: TEdit;
    Label30: TLabel;
    Edit19: TEdit;
    Label31: TLabel;
    Edit20: TEdit;
    Label32: TLabel;
    GroupBox8: TGroupBox;
    Memo3: TMemo;
    Button6: TButton;
    procedure Beenden1Click(Sender: TObject);
    procedure Infober1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit11KeyPress(Sender: TObject; var Key: Char);
    procedure Button4Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

const
  VERSION = '0.1';

var
  Form1: TForm1;
  isEditValue: Boolean = false;
  EditNr: Integer = 0;

implementation

{$R *.dfm}

// function CheckFloat(String):
//   berprft, ob ein gltiger Fliekommawert eingegeben wurde
function CheckFloat(Str: String): Boolean;
var
  C: Integer;
  I: Double;
begin
  Val(Str, I, C);
  Result := C = 0;
end;

// function GetFloatValue((String):
//   konvertiert String in eine Fliekommazahl
function GetFloatValue(Str: String): Extended;
var
  C: Integer;
  I: Extended;
begin
  Val(Str, I, C);
  Result := I;
end;

// function CheckInt(String):
//   berprft, ob ein gltiger Fliekommawert eingegeben wurde
function CheckInt(Str: String): Boolean;
var
  C: Integer;
  I: Integer;
begin
  Val(Str, I, C);
  Result := C = 0;
end;

{$R-}
// function CheckValue(String):
//   berprft, ob ein gltiger Zahlenwert eingegeben wurde
function CheckValue(Str: String): Boolean;
var
  C: Integer;
  I: Double;
begin
  if (CheckInt(Str)) then
    begin
      if (StrToInt(Str) > 0) then
        Result := true
      else
        Result := false;
    end
  else
  if (CheckFloat(Str)) then
    begin
      Val(Str, I, C);
      if (I > 0) then
        Result := true
      else
        Result := false;
    end
  else
    Result := false;
end;
{$R+}

// Programm Beenden
procedure TForm1.Beenden1Click(Sender: TObject);
begin
  ExitProcess(0);
end;

// Info ber
procedure TForm1.Infober1Click(Sender: TObject);
begin
  MessageBox(0, PChar('embyte ChemieTool v'+VERSION+#13#10#13#10'written by Michael "MiB" Bhme | Copyright 2008 by embyte'#13#10#13#10'http://www.embyte.de'), 'ber embyte ChemieTool...', MB_ICONINFORMATION);
end;

// Volumenberechnung fr die Titration
procedure TForm1.Button1Click(Sender: TObject);

  // Fehler anzeigen
  procedure Fehler(Str: String);
  begin
    MessageBox(0, PChar('Der eingegebene Wert fr ' + Str + ' ist ungltig!'), 'Fehler!', MB_ICONERROR);
  end;

var
  nTitrand, nTitrator, cTitrand, cTitrator, Vmin, Vmax: Extended;
begin
  // Ausgabe leeren
  Memo1.Clear;
  // Punkt als Dezimaltrennzeichen verwenden
  DecimalSeparator := '.';
  // eingegebene Werte auf Gltigkeit prfen
  If (not CheckValue(Edit1.Text)) then
    Fehler('die minimale Masse')
  else
  If (not CheckValue(Edit2.Text)) then
    Fehler('die maximale Masse')
  else
  If (not CheckValue(Edit3.Text)) then
    Fehler('das Stoffenmengenverhltnis')
  else
  If (not CheckValue(Edit4.Text)) then
    Fehler('die Molmasse')
  else
  If (not CheckValue(Edit5.Text)) then
    Fehler('die Konzentration des Titrators')
  else
  If (not CheckValue(Edit6.Text)) then
    Fehler('den Titer')
  else
  If (not CheckValue(Edit7.Text)) then
    Fehler('das Gesamtvolumen')
  else
  If (not CheckValue(Edit8.Text)) then
    Fehler('das Volument der Probe')
  else
    begin
      // alle Werte gltig, Berechnung

      // c(Titrator) = c(Titrator) * f(Titer)
      cTitrator := StrToFloat(Edit5.Text) * StrToFloat(Edit6.Text);

      // minimal bentigte Menge
      // n = m(min) / M
      nTitrand := StrToFloat(Edit1.Text) / StrToFloat(Edit4.Text);
      // c = n / V(Gesamt)
      cTitrand := nTitrand / StrToFloat(Edit7.Text);
      // n = c * V(Probe)
      nTitrand := cTitrand * StrToFloat(Edit8.Text);
      // Titrand runden
      cTitrand := Round(cTitrand * 10000000) / 10000000;
      // n = n / Stoffmengenverhltnis
      nTitrator := nTitrand / StrToFloat(Edit3.Text);
      // V = n / c
      Vmin := nTitrator / cTitrator;
      // Volumen runden
      Vmin := Round(Vmin * 100000) / 100000;
      // Ausgabe der Ergebnisse
      Memo1.Lines.Append('c(Titrand-min)  = ' + FloatToStr(cTitrand) + ' Mol / Liter');
      Memo1.Lines.Append('V(Titrator-min) = ' + FloatToStr(Vmin) + ' Liter fr Probe');


      Memo1.Lines.Append('---');

      // maximal bentigte Menge
      // n = m(max) / M
      nTitrand := StrToFloat(Edit2.Text) / StrToFloat(Edit4.Text);
      // c = n / V(Gesamt)
      cTitrand := nTitrand / StrToFloat(Edit7.Text);
      // n = c * V(Probe)
      nTitrand := cTitrand * StrToFloat(Edit8.Text);
      // Konzentration runden
      cTitrand := Round(cTitrand * 10000000) / 10000000;
      // n = n / Stoffmengenverhltnis
      nTitrator := nTitrand / StrToFloat(Edit3.Text);
      // V = n / c
      Vmax := nTitrator / cTitrator;
      // Volumen runden
      Vmax := Round(Vmax * 100000) / 100000;
      Memo1.Lines.Append('c(Titrand-max)  = ' + FloatToStr(cTitrand) + ' Mol / Liter');
      Memo1.Lines.Append('V(Titrator-max) = ' + FloatToStr(Vmax) + ' Liter fr Probe');

      // Ausgabe in Textform
      Memo1.Lines.Append('---');
      Memo1.Lines.Append('Es werden fr die Titration von '+FloatToStr(StrToFloat(Edit8.Text)*1000)+'ml ' + Edit9.Text +' zwischen ' + FloatToStr(Vmin*1000) + 'ml und ' + FloatToStr(Vmax*1000) + 'ml '+Edit10.Text+' bentigt!');

    end;

end;

// Mittelwert und Standardabweichungen berechnen
procedure TForm1.Button5Click(Sender: TObject);
var
  dMittelwert, dStandard: Extended;
  I: Integer;
  C: Integer;
  I2: Double;
begin
  // Ausgabe leeren
  Memo2.Clear;
  // Es werden mindestens 2 Werte bentigt
  If ListBox1.Items.Count < 2 then
    Memo2.Lines.Append('Bitte Werte eintragen!')
  else
    begin
      // Berechnung Mittelwert
      dMittelwert := 0; dStandard := 0;
      for I := 0 to ListBox1.Items.Count - 1 do
        begin
          Val(ListBox1.Items.Strings[I], I2, C);
          dMittelwert := dMittelwert + I2;
        end;
      dMittelwert := dMittelwert / ListBox1.Items.Count;
      // Berechnung Standardabweichung
      for I := 0 to ListBox1.Items.Count - 1 do
        begin
          Val(ListBox1.Items.Strings[I], I2, C);
          dStandard := dStandard + sqr(I2 - dMittelwert);
        end;
      dStandard := dStandard / (ListBox1.Items.Count-1);
      dStandard := sqrt(dStandard);
      // Ausgabe der Ergebnisse
      Memo2.Lines.Append('Mittelwert: ' + FloatToStr(dMittelwert));
      Memo2.Lines.Append('Standardabweichung: ' + FloatToStr(dStandard));

    end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  // alle Messwerte lschen
  ListBox1.Clear;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  // falls Eintrag selektiert, dann lsche ihn
  If ListBox1.ItemIndex > -1 then
    begin
      ListBox1.Items.Delete(ListBox1.ItemIndex);
    end;
end;

procedure TForm1.Edit11KeyPress(Sender: TObject; var Key: Char);
begin
  // Wurde ENTER gedrckt?
  if Key = #13 then
  begin
    // Anzeige "falscher Wert" verstecken
    Label18.Visible := false;
    // im Editiermodus?
    if (not isEditValue) then
      begin
        // Wenn ungltige Eingabe, dann zeige Anzeige "falcher Wert"
        If not CheckValue(edit11.Text) then
          LAbel18.Visible := true
        else
          begin
            // Wert wird hinzugefgt, Editiermodus aus
            isEditValue := false;
            Label18.Visible := false;
            ListBox1.Items.Append(Edit11.Text);
            // Eingabefeld wird geleert
            Edit11.Clear;
            Edit11.SetFocus;
          end;
      end
    else
      begin
        // im Editiermodus
        // ist Eingabe ein gltiger Wert?
        If not CheckValue(edit11.Text) then
          LAbel18.Visible := true
        else
          begin
            // nderung wird bernommen
            isEditValue := false;
            Label18.Visible := false;
            ListBox1.Items.Strings[EditNr] := Edit11.Text;
            // Eingabefeld wird geleert
            Edit11.Clear;
            Edit11.SetFocus;
          end;
      end;
  end;
end;

// Wert bearbeiten
procedure TForm1.Button4Click(Sender: TObject);
begin
  // falls ein Wert selektiert, dann schalte Bearbeiten-Modus ein
  If ListBox1.ItemIndex > -1 then
    begin
      isEditValue := true;
      Edit11.Text := ListBox1.Items[ListBox1.Itemindex];
      EditNr := ListBox1.Itemindex;
    end;
end;

// Massenberechnung einer Titration
procedure TForm1.Button6Click(Sender: TObject);

  // Fehlerbehandlung
  procedure Fehler(Str: String);
  begin
    MessageBox(0, PChar('Der eingegebene Wert fr ' + Str + ' ist ungltig!'), 'Fehler!', MB_ICONERROR);
  end;
var
  nTitrand, nTitrator, cTitrand, mTitrand: Extended;
begin
  // Ausgabe leeren
  Memo3.Clear;
  // Werte berprfen
  If (not CheckValue(Edit4.Text)) then
    Fehler('die Molasse')
  else
  If (not CheckValue(Edit13.Text)) then
    Fehler('das Gesamtvolumen der Probe')
  else
  If (not CheckValue(Edit15.Text)) then
    Fehler('das Volumen der Probe')
  else
  If (not CheckValue(Edit17.Text)) then
    Fehler('die Konzentration')
  else
  If (not CheckValue(Edit18.Text)) then
    Fehler('den Titer')
  else
  If (not CheckValue(Edit20.Text)) then
    Fehler('das Volumen des Titrator')
  else
  If (not CheckValue(Edit19.Text)) then
    Fehler('das Stoffmengenverhltnis')
  else
  begin
    // Berechnung der Masse
    // n = c * V * f(Titer)
    nTitrator := GetFloatValue(Edit17.Text)*GetFloatValue(Edit18.Text)*GetFloatValue(Edit20.Text);
    // n = n * Stoffmengenverhltnis
    nTitrand := nTitrator * GetFloatValue(Edit19.Text);
    // Ausgabe
    Memo3.Lines.Append('n(Titrand) = ' + FloatToStr(nTitrand) + ' Mol');
    //  c = n * ( V(Gesamt)/ V(Probe) )
    cTitrand := nTitrand*GetFloatValue(Edit13.Text)/GetFloatValue(Edit15.Text);
    // m = V(Gesamt) / V(Probe) * n * M
    mTitrand := GetFloatValue(Edit13.Text)/GetFloatValue(Edit15.Text)*nTitrand*GetFloatValue(Edit14.Text);
    // Ausgabe der Ergebnisse
    Memo3.Lines.Append('c(Titrand) = ' + FloatToStr(cTitrand) + ' Mol / Liter');
    Memo3.Lines.Append('Gesamt m(Titrand) = ' + FloatToStr(mTitrand) + ' Gramm ');
    Memo3.Lines.Append('---');
    Memo3.Lines.Append('Es ergibt sich eine Masse von ' + FloattoStr(Round(mTitrand*10000000)/10000) + 'mg ' + Edit12.Text);
  end;
end;

end.
